Author Topic: PI3 B with Raspbian Stretch issues  (Read 296 times)

0 Members and 1 Guest are viewing this topic.

Offline Steve R

  • Member
  • *
  • Posts: 2
PI3 B with Raspbian Stretch issues
« on: December 02, 2017, 10:22:41 PM »
Hello everyone and thanks for taking the time to read this. I have upgraded my weather station at home from Vantage Pro to the Vantage Pro2, I have been using VWS since Oregon Scientific WRM918 days, I don't believe Weather Display was even available back then. I moved my Vantage Pro to my place of work and set it up there. I recently purchased the Pi3 and have the latest version of Raspbian Stretch with desktop (64) installed. I want to setup the Pi3 with a GUI to display the data from the Vantage Pro. I have tried the latest weewx, Weather Display, and CumulusMX and have not been able to get any of these to actually install and work. I have followed latest instructions for each. Has anyone tried the Pi3 with the latest Raspbian Stretch and got it to work? I will not be uploading to a websites as there will be not internet access, just want the graphics to display information.
« Last Edit: December 02, 2017, 10:26:13 PM by Steve R »

Offline gjr80

  • Member
  • *
  • Posts: 22
Re: PI3 B with Raspbian Stretch issues
« Reply #1 on: December 02, 2017, 10:54:40 PM »
RPi3B with Raspbian Stretch and weeWX installs and works fine for me. Might need a bit more than "it doesn't work". Did you seek any help from the weeWX User Group?

Gary

Online waiukuweather

  • Forecaster
  • *****
  • Posts: 428
Re: PI3 B with Raspbian Stretch issues
« Reply #2 on: December 02, 2017, 11:02:34 PM »
re weather display and raspberry pi 3
when you say does not work
what is the exact error message?
make sure to copy the library files in the deploy folder to /usr/lib/ and /usr/local/lib/
and also run as sudo ./consolewd

Quote
I don't believe Weather Display was even available back then
weather display came out at the same time as VWS

Offline Steve R

  • Member
  • *
  • Posts: 2
Re: PI3 B with Raspbian Stretch issues
« Reply #3 on: December 03, 2017, 12:32:26 AM »
Yes the files from are in the   usr/lib/ and in usr/local/lib/
When I run sudo ./consolewd   I get   ./consolewd: 1: ./consolewd: Syntax error: "(" unexpected

Online waiukuweather

  • Forecaster
  • *****
  • Posts: 428
Re: PI3 B with Raspbian Stretch issues
« Reply #4 on: December 03, 2017, 01:21:58 AM »
that suggests to me that its a problem with the cpu type and or 32/64 bit type
did you download the raspberry pi 3 version (that is for 64 bit ARM, which the Raspberry pi 3 is)
I have a rasberry pi 3 and it works OK, using the default rasparian OS

I think though that the original version of Rasparian was 32 bit only (even though a 64 bit cpu)
so maybe I need to upgrade to the the latest Rasparian 64 bit and re compile against that
(but then maybe I would need to have dual boot?)
« Last Edit: December 03, 2017, 01:23:55 AM by waiukuweather »

Offline Aussie Susan

  • Member
  • *
  • Posts: 43
Re: PI3 B with Raspbian Stretch issues
« Reply #5 on: December 03, 2017, 08:59:52 PM »
Possibly off track comment:
As far as I know, even the latest Raspbian Stretch is 32-bit and likely to remain that way for a while (see https://www.raspberrypi.org/forums/viewtopic.php?t=192321).
Yes the RPI3 and Pi-Zero use a 64-bit ARM processor but Raspbian is still 32-bit.
There are 64-bit ARM distros out there but they may not be as 'friendly' to the hardware as Raspbian.
Susan

Edit:
Just read that The Raspberry Pi foundation have released a version of Raspbian that runs on PCs and Macs - but even that is 32-bit (see the comment in https://www.raspberrypi.org/blog/stretch-pcs-macs-raspbian-update/#comments about half way down.)
« Last Edit: December 03, 2017, 09:08:49 PM by Aussie Susan »

Online waiukuweather

  • Forecaster
  • *****
  • Posts: 428
Re: PI3 B with Raspbian Stretch issues
« Reply #6 on: December 03, 2017, 09:05:29 PM »
I will try out the latest rasparian stretch OS here